diff --git a/modules/stream_filter/dash/dash.cpp b/modules/stream_filter/dash/dash.cpp
index cce336b..a25fc6d 100644
--- a/modules/stream_filter/dash/dash.cpp
+++ b/modules/stream_filter/dash/dash.cpp
@@ -78,8 +78,8 @@ struct stream_sys_t
         bool                                isLive;
 };
 
-static int  Read            (stream_t *p_stream, void *p_buffer, size_t i_len);
-static int  Peek            (stream_t *p_stream, const uint8_t **pp_peek, size_t i_peek);
+static int  Read            (stream_t *p_stream, void *p_buffer, unsigned int i_len);
+static int  Peek            (stream_t *p_stream, const uint8_t **pp_peek, unsigned int i_peek);
 static int  Control         (stream_t *p_stream, int i_query, va_list args);
 static bool IsDash          (stream_t *p_stream, dash::xml::DOMParser *p_parser);
 /*****************************************************************************
@@ -143,7 +143,7 @@ static void Close(vlc_object_t *p_this)
 /*****************************************************************************
  * Callbacks:
  *****************************************************************************/
-static int  Read            (stream_t *p_stream, void *p_buffer, size_t i_len)
+static int  Read            (stream_t *p_stream, void *p_buffer, unsigned int i_len)
 {
     stream_sys_t        *p_sys          = (stream_sys_t *) p_stream->p_sys;
     dash::DASHManager   *p_dashManager  = p_sys->p_dashManager;
@@ -169,7 +169,7 @@ static int  Read            (stream_t *p_stream, void *p_buffer, size_t i_len)
 
     return i_ret;
 }
-static int  Peek            (stream_t *p_stream, const uint8_t **pp_peek, size_t i_peek)
+static int  Peek            (stream_t *p_stream, const uint8_t **pp_peek, unsigned int i_peek)
 {
     stream_sys_t        *p_sys          = (stream_sys_t *) p_stream->p_sys;
     dash::DASHManager   *p_dashManager  = p_sys->p_dashManager;
diff --git a/modules/stream_filter/dash/xml/DOMParser.cpp b/modules/stream_filter/dash/xml/DOMParser.cpp
index cb42db2..0cd74d6 100644
--- a/modules/stream_filter/dash/xml/DOMParser.cpp
+++ b/modules/stream_filter/dash/xml/DOMParser.cpp
@@ -105,12 +105,12 @@ void    DOMParser::print                    (Node *node, int offset)
     for(int i = 0; i < offset; i++)
         msg_Dbg(this->stream, " ");
 
-    msg_Dbg(this->stream, "%s", node->getName());
+    msg_Dbg(this->stream, "%s", node->getName().c_str());
 
     std::vector<std::string> keys = node->getAttributeKeys();
 
     for(int i = 0; i < keys.size(); i++)
-        msg_Dbg(this->stream, " %s=%s", keys.at(i), node->getAttributeValue(keys.at(i)));
+        msg_Dbg(this->stream, " %s=%s", keys.at(i).c_str(), node->getAttributeValue(keys.at(i)).c_str());
 
     msg_Dbg(this->stream, "\n");
 
